#ifndef code__query__boolean_hxx_
#define code__query__boolean_hxx_

#include <code/query/source-location.hxx>
#include <code/query/types.hxx>

namespace code::query
{

  class boolean_t
  {
  public:
    boolean_t(source_location_t, bool);

    source_location_t const&
    origin() const;

    bool
    value() const;

  private:
    source_location_t origin_;
    bool value_;

  };

  string
  to_string(boolean_t const&);

} // namespace code::query

#endif
