#include <code/query/token.hxx>

namespace code::query
{

  token_t::
  token_t(token_type_t type, optional<string> value)
    : type_{type},
      value_{move(value)}
  {}

  token_type_t
  token_t::
  type() const
  {
    return type_;
  }

  optional<string> const&
  token_t::
  value() const
  {
    return value_;
  }

} // namespace code::query
